igeo.io

## Class IRhino3dm.UnitsAndTolerances

- java.lang.Object
- - igeo.io.IRhino3dm.UnitsAndTolerances

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.UnitsAndTolerances
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) double` | `absoluteTolerance`
    `(package private) double` | `angleTolerance`
    `(package private) int` | `distanceDisplayMode`
    `(package private) static int` | `distanceDisplayModeDecimal`
    `(package private) static int` | `distanceDisplayModeFeetInches`
    `(package private) static int` | `distanceDisplayModeFractional`
    `(package private) int` | `distanceDisplayPrecision`
    `(package private) double` | `relativeTolerance`
    `(package private) IRhino3dm.UnitSystem` | `unitSystem`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnitsAndTolerances()`
    `UnitsAndTolerances(IServerI srv)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### unitSystem

          IRhino3dm.UnitSystem unitSystem

    - #### absoluteTolerance

          double absoluteTolerance

    - #### angleTolerance

          double angleTolerance

    - #### relativeTolerance

          double relativeTolerance

    - #### distanceDisplayModeDecimal

          static final int distanceDisplayModeDecimal

      See Also:
        Constant Field Values

    - #### distanceDisplayModeFractional

          static final int distanceDisplayModeFractional

      See Also:
        Constant Field Values

    - #### distanceDisplayModeFeetInches

          static final int distanceDisplayModeFeetInches

      See Also:
        Constant Field Values

    - #### distanceDisplayMode

          int distanceDisplayMode

    - #### distanceDisplayPrecision

          int distanceDisplayPrecision

  - ### Constructor Detail

    - #### UnitsAndTolerances

          public UnitsAndTolerances()

    - #### UnitsAndTolerances

          public UnitsAndTolerances(IServerI srv)

  - ### Method Detail

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`